"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.sortPackagesByDependencies = void 0;

const sortPackagesByDependencies = ([k1, v1], [k2, v2]) => {
  if (v1.includes(k2)) {
    return 1;
  }

  if (v2.includes(k1)) {
    return -1;
  }

  return k1.localeCompare(k2);
};

exports.sortPackagesByDependencies = sortPackagesByDependencies;